journal_check_available_features
Prev | Journal Level | Next

## Name

journal_check_available_features — Check feature set in journalling layer

## Synopsis

`int journal_check_available_features (` | journal_t * | journal,
| unsigned long | compat,
| unsigned long | ro,
| unsigned long | incompat`)`;

## Arguments

`journal`

  Journal to check.

`compat`

  bitmask of compatible features

`ro`

  bitmask of features that force read-only mount

`incompat`

  bitmask of incompatible features

## Description

Check whether the journaling code supports the use of all of a given set of features on this journal. Return true

Prev | Up | Next
journal_check_used_features | Home | journal_set_features